/*
 * Author: Stefan Bambach <sbambach@gmx.net>
 * 
 * Wrapper around some runtime memory debugger
 */
 
#ifndef __DBUG_MEM_H__
#define __DBUG_MEM_H__

#ifdef MEMWATCH
   #include "memwatch.h"
#endif

#ifdef DMALLOC
   #include "dmalloc.h"
#endif

#ifdef MEMCHECK
   #include "memcheck.h"
#endif

#ifdef DEBUG
   #define DBUG_MEM_INIT() dbug_mem_init()
   #define DBUG_MEM_QUIT() dbug_mem_quit()
#else
   #define DBUG_MEM_INIT()
   #define DBUG_MEM_QUIT()
#endif

void dbug_mem_init(void);
void dbug_mem_quit(void);

#endif
