/***************************************************************************
 * CVSID: $Id: mntd_dbus_manager.h,v 1.6 2004/05/23 00:00:37 stefanb Exp $
 *
 * mntd_dbus_manager.h : D-BUS manager for MNT daemon
 *
 * Copyright (C) 2004 Stefan Bambach, <stefan@bambach.biz>
 *
 * Licensed under the GNU General Public License 2.0
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef __MNTD_DBUS_MANAGER_H__
#define __MNTD_DBUS_MANAGER_H__


#include <dbus/dbus.h>
#include <dbus/dbus-glib.h>

#include "mntd_volume_manager_types.h"
#include "mntd_volume_types.h"


#if defined(__cplusplus)
extern "C" {
#endif


DBusHandlerResult mntd_dbus_manager_filter_function(
												DBusConnection* connection,
												DBusMessage* message,
												void* user_data);
int mntd_dbus_init(void *data);
int mntd_dbus_quit(void);
void mntd_dbus_raise_no_such_device(DBusConnection* connection,
											DBusMessage* in_reply_to,
											const char* udi);
void mntd_dbus_raise_syntax(DBusConnection* connection,
											DBusMessage* in_reply_to,
											const char* method_name);
void mntd_dbus_raise_no_mntpnt(DBusConnection* connection,
											DBusMessage* in_reply_to,
											const char* udi);
void mntd_dbus_manager_send_signal_volume_mounted(PVOLUME pv);
void mntd_dbus_manager_send_signal_volume_unmounted(PVOLUME pv);
DBusHandlerResult mntd_dbus_manager_get_all_volumes(	PVOLUMEMANAGER pvm,
																		DBusConnection* connection,
																		DBusMessage* message);
DBusHandlerResult mntd_dbus_manager_get_mntpnt(	PVOLUMEMANAGER pvm,
												DBusConnection* connection,
												DBusMessage* message);

	
#if defined(__cplusplus)
}
#endif

#endif /* __MNTD_DBUS_MANAGER_H__ */
