/***************************************************************************
 * CVSID: $Id: mntd_dir.h,v 1.1 2004/04/01 19:30:23 stefanb Exp $
 *
 * mntd_dir.h : directory handler for MNT daemon
 *
 * Copyright (C) 2004 Stefan Bambach, <stefan@bambach.biz>
 *
 * Licensed under the GNU General Public License 2.0
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef __MNTD_DIR_H__
#define __MNTD_DIR_H__

#ifdef HAVE_CONFIG_H
	#include "config.h"
#endif

#include <sys/types.h>

#if defined(__cplusplus)
extern "C" {
#endif

#define LAST_CHAR(buf) buf[strlen(buf)-1] /**< get last char of buffer */
#define DIRSEP '/'                        /**< define directory seperator here */


int mntd_dir_is_dir(char *dirpath);
int mntd_dir_remove(char *dirpath);
int mntd_dir_mkdirs(const char *pathname, mode_t mode, int *error);
int mntd_dir_rmdirs(char *dirname);


#if defined(__cplusplus)
}
#endif

#endif /* __MNTD_DIR_H__ */
