/***************************************************************************
 * CVSID: $Id: mntd_file.h,v 1.1 2004/04/01 19:30:23 stefanb Exp $
 *
 * mntd_file.h : file handler for MNT daemon
 *
 * Copyright (C) 2004 Stefan Bambach, <stefan@bambach.biz>
 *
 * Licensed under the GNU General Public License 2.0
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef __MNTD_FILE_H__
#define __MNTD_FILE_H__

#include <dbus/dbus.h>

#if defined(__cplusplus)
extern "C" {
#endif


int mntd_file_is_fifo(char *filepath);
int mntd_file_is_file(char *filepath);
int mntd_file_get_stamp(char *filepath);
int mntd_file_get_size(char *filepath);
char *mntd_file_read(char *filepath);
int mntd_file_write(char *filepath, char *data);
int mntd_file_remove(char *filepath);


#if defined(__cplusplus)
}
#endif

#endif /* __MNTD_FILE_H__ */
