/***************************************************************************
 * CVSID: $Id: mntd_volume_manager_helper.h,v 1.6 2004/05/23 00:29:08 stefanb Exp $
 *
 * mntd_volume_manager_helper.h : Volume Manager handler for MNT daemon
 *
 * Copyright (C) 2004 Stefan Bambach, <stefan@bambach.biz>
 *
 * Licensed under the GNU General Public License 2.0
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef __MNTD_VOLUME_MANAGER_HELPER_H__
#define __MNTD_VOLUME_MANAGER_HELPER_H__

#include <glib.h>
#include <dbus/dbus.h>

#include "mntd_volume_manager_types.h"
#include "mntd_volume_types.h"

#if defined(__cplusplus)
extern "C" {
#endif
	

	/* boolean properties */
#define HAL_PROPERTY_TRUE "true"
#define HAL_PROPERTY_FALSE "false"

/* info properties */
#define HAL_PROPERTY_INFO_CATEGORY "info.category"
#define HAL_PROPERTY_INFO_CATEGORY_VOLUME "volume"

/* block device defines */
#define HAL_PROPERTY_BLOCK_DEVICE "block.device"
#define HAL_PROPERTY_BLOCK_IS_VOLUME "block.is_volume"
#define HAL_PROPERTY_BLOCK_MOUNT_POINT "block.mount_point"
#define HAL_PROPERTY_BLOCK_FSTYPE "block.fstype"


/* safe device handling */
int vmh_hal_device_is_safe(const char *udi);
int vmh_hal_device_is_volume(const char *udi);

/* safe property handling */
int vmh_hal_device_is_safe_property(const char *udi, const char *key);
int vmh_hal_device_get_safe_property_string(const char *udi, const char *key, char **result);
int vmh_hal_device_get_safe_property_int(const char *udi, const char *key, int *result);
int vmh_hal_device_get_safe_property_double(const char *udi, const char *key, double *result);
int vmh_hal_device_get_safe_property_bool(const char *udi, const char *key, int *result);

/* setting safe volumes data */
int vmh_try_n_set_volumes_device(PVOLUME pv, const char *udi);
int vmh_try_n_set_volumes_mntpnt(PVOLUME pv, const char *udi);
int vmh_try_n_set_volumes_fstype(PVOLUME pv, const char *udi);
int vmh_try_n_set_volumes_data(PVOLUME pv, const char *udi);
int vmh_try_n_set_volumes_data_by_property(PVOLUME pv, const char *udi, const char *property);


#if defined(__cplusplus)
}
#endif

#endif /* __MNTD_VOLUME_MANAGER_HELPER_H__ */
